### Method

# Gio SimpleAsyncResult set_from_error

deprecated: 2.46

#### Declaration [src]

    void
    g_simple_async_result_set_from_error (
      GSimpleAsyncResult* simple,
      const GError* error
    )

#### Description [src]

Sets the result from a `GError`.

Deprecated since: 2.46

Use `GTask` and `g_task_return_error()` instead.

#### Parameters

`error`

  Type: `GError`

  `GError`.

  The data is owned by the caller of the method.